import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';

import {
  fullScreenContainer,
  loading,
  digitalFlop,
  activeRingChart,
  capsuleChart,
  scrollBoard,
  charts,
  decoration2,
  decoration4,
  decoration5,
  decoration8,
  decoration7,
  borderBox1,
  borderBox2,
  borderBox7,
  borderBox11,
  borderBox13,
} from '@jiaminghi/data-view';

Vue.use(fullScreenContainer)
  .use(loading)
  .use(digitalFlop)
  .use(activeRingChart)
  .use(capsuleChart)
  .use(scrollBoard)
  .use(charts)
  .use(decoration2)
  .use(decoration4)
  .use(decoration5)
  .use(decoration8)
  .use(decoration7)
  .use(borderBox1)
  .use(borderBox2)
  .use(borderBox7)
  .use(borderBox11)
  .use(borderBox13);

Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: h => h(App),
}).$mount('#app');
